// Number of information bits
parameter K = 1024;

// Number of parity bits
parameter M = 256;

// Number of total bits
parameter N = K + M;

// Size of the generator circulant
parameter B = 32;

// Length of the circulant row
parameter R = M / 64;

/*
parameter generator = {
	64'h678ECB51FE821D5C, 64'hFA5F424BF55927AA, 64'h3E82691332E04B0C, 64'h4F88862B803432EF,
	64'h42B276259F8DA1E1, 64'hF8472D1BD943D394, 64'h29261575BA434C68, 64'h18EF349A27CA1CC4,
	64'hEC90039764A4A063, 64'h9BCEC4A6D05BA70F, 64'hE7155BE17FF09CC1, 64'h6E2E20597F1567E5,
	64'h5616101CEA060E2B, 64'hB673068B923BDF8B, 64'hB9B9343D049C63A8, 64'h333E9CFE809B362D,
	64'h9D41634C404E17DA, 64'h3B4161F25235992E, 64'hEA4B4B8B4690BCE1, 64'hF9DA36A116439BB1,
	64'h5D7254B515B4978B, 64'h00D05224107BD904, 64'hC85D7E580451F1A5, 64'hEE9D1897913DA6F9,
	64'h42819F61343773CA, 64'h11A6492A4832F43F, 64'h849C11EDF0FE864F, 64'hCC2704009726D66E,
	64'h89EE2A44685C1F67, 64'h1DF6E416507BF2EF, 64'h8759C2FB52162ABF, 64'h2B61D3FB988708C4,
	64'h4A8FEA0953452354, 64'hA33E2E73271E8211, 64'h16DF62E503DF81F4, 64'h8848BD0FF95DF357,
	64'h9BE0A7B3617256EB, 64'h9A4D0BB4FE3A3A19, 64'hFAA63D9E65328918, 64'hD699BA354CDE6FE0,
	64'h848B1FE50AB58A6F, 64'h341707F1EF36474B, 64'hF623A7A5A35EC9BA, 64'h24909B6E64A7A898,
	64'hBDDF3BAE7202FA26, 64'h86F90C57A0399F20, 64'h972B9A3187B245AE, 64'hE0C5A3384959AAD9,
	64'hCF726C277B38429A, 64'hBA37C244EE7717DB, 64'hE45C99CA7E3E013B, 64'h7B800CA46527F2E7,
	64'h75C637821CC40137, 64'h51E69F16414B155F, 64'hDF1964DEF13C71F7, 64'h6E9E80446C5CEC86,
	64'h6F2A6DF89FF2BF82, 64'hD362535524466981, 64'hD5F14AC1E1C24AEA, 64'hA8850D837A3C5120,
	64'hBAABADC31ECF066D, 64'h76538348FC5D4D54, 64'h43AD46CF3342012C, 64'h63EBE2DCD832EF8E,
	64'hE6EC82F14AAFE782, 64'h14D89E3823C83402, 64'h8B48D6BFC823B89A, 64'h68A35626E89FE121,
	64'h4BBAA33120EC16C9, 64'h6ADABE06D803DA6D, 64'hFCC89D41E57B10E8, 64'hCC3FF0144DB74206,
	64'h503FD58652F68B91, 64'h97D69DF3129C764E, 64'h8B2143F7A36EF3BA, 64'h7C27896C560F67B5,
	64'hD70390E698B337EA, 64'h895683632A1681DF, 64'h4B4E928C41EC3D9C, 64'hDFD92EB2A5D5C85C,
	64'h2A5088BD76CB6810, 64'hCB693D21C0E9EFD5, 64'hF992506E299CE082, 64'h901155A60B93AA16,
	64'h18FEFECEB0063536, 64'h954870894BB31BB9, 64'h66F3FD97E32B58A0, 64'h2A39427A5CD8DE9F,
	64'h1A8F8616C5F7D2B2, 64'h5AD2BC4EBF1E86DB, 64'hACF7BFFAF3589597, 64'hA777654C12DD1364,
	64'hFFC03A59DC450527, 64'h33B4C871BAA2EA33, 64'h93A751A6F9D72E4D, 64'h69B50C7FF74151F9,
	64'h7BE8519DAF6FFAFA, 64'h268DBA73A356128C, 64'h0418BE2C1A43465A, 64'h60C6DF650E2438A0,
	64'hEC25DC0566AEE4A8, 64'hA72A030AB11FB610, 64'hDD74DAF762F6D565, 64'h554EAEB715F7AE6C,
	64'h5147F90AFF0EEC01, 64'h12A9966C871705B1, 64'hE935FF3046E32957, 64'h546D69FCB8A1BD06,
	64'h6A80EA6F71A29506, 64'hEF78AACF8D52B5ED, 64'h9F0A496661B3B68E, 64'h4B17AF965B282C2E,
	64'h7558227216E54299, 64'h7D070B9CAB130157, 64'h76C619D25500E2D5, 64'h1F9804595D9C7F83,
	64'h6A0DDA1DF6E8B610, 64'h25D0E0A1242749E0, 64'hFEDA4A06072D69D6, 64'h03C7DA7951AA3355,
	64'h6E9FEFF00797CBF1, 64'hE936C824C9C1EAF5, 64'hD4607E4688ED7B0E, 64'h92E160AD731140AD,
	64'h32FEFCAF70863B75, 64'h3846F110C4E23DFF, 64'h79D3F753064648FA, 64'h830452F5B9ED8445
};
*/
